Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Novice
38 Views

Warning message (IFLangServicePackage) during build after upgrade of Composer XE

Hi,

In an automated build process of a combined fortran/c++ visual studio solution I get a warning message after upgrade to Intel Composer XE 2016 U3. The previous version was 2013 SP1 U3.

The build is using devenv.com from the command line. The warning reads:
Package 'Intel.Fortran.IFLangService.IFLangServicePackage, IFLangService, Version=16.0.0.0, Culture=neutral, PublicKeyToken=null' failed to load.

The version of Visual stuidio is 2010.

I do not however get the warning when building from the VS GUI.

With my previous version of Intel Composer (2013), I did not see the warning.

  1. What does this warning indicate?
  2. Does it affect the build?
  3. Do you know why it appears now, after the upgrade?
  4. What can I do to remove it?

Thanks!
Jens Eftang

 

0 Kudos
1 Reply
Highlighted
38 Views

I suspect there is a problem with PATH in your build environment. I have seen this message come up when I open a Fortran project in Visual Studio but managed to fix it by doing the "repair" steps shown here. It's interesting that you get this in the command build environment and not in the VS GUI - never saw that before.

0 Kudos